> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readfile.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Status

> Gets the current status of a processing job.



## OpenAPI

````yaml GET /v1.0.1/file/status/{job_id}
openapi: 3.0.1
info:
  title: ReadFile Documentation
  description: This is the API documentation for the ReadFile API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://api.readfile.io/
security:
  - ApiKeyAuth: []
paths:
  /v1.0.1/file/status/{job_id}:
    get:
      description: Gets the current status of a processing job.
      parameters:
        - in: path
          name: job_id
          schema:
            type: string
          required: true
          description: The ID of the processing job
      responses:
        '200':
          description: Successfully retrieved job status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatus'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate Limit Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobStatus:
      type: object
      required:
        - job_id
        - status
      properties:
        strategy:
          description: The processing strategy used for the extraction.
          type: string
        job_id:
          description: The identifier of your task on ReadFile.
          type: string
        file_name:
          description: The name of the file processed.
          type: string
        status:
          description: The current state of your task on ReadFile.
          type: string
        timestamp:
          description: The time the job was initiated.
          type: string
          format: date-time
        result_url:
          description: The url you can hit to retrieve the output of the extraction job.
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````